-- ==========================================
-- 작업일자: 2026-06-26 
-- 작 성 자: 류호성
-- 작업목적: [한라산업 인트라넷 전자결재 중 {문서형식}에 대해 접수권한 제거를 하기 위함이다.]
-- 요청자/티켓번호: [한라직원 / 요청번호 : {요청번호}번]
-- 데이타베이스 : MY-SQL
-- 참고 : 문서별 접수자 변경 프로그램이 필요할까? 해당 프로그램의 권한자는 누구로 해야 할까?
-- ==========================================

-- [0] 문서별 접수자설정정보에서 문서 명칭으로 접수권한자 조회하기 
SELECT 
    a.FormName
    , a.ReceiveMember
    , (SELECT korName FROM member_tbl WHERE a.ReceiveMember = member_tbl.MemberNo) ReceiveName
    , b.Name AS FormName
FROM 
    approval_tbl a 
JOIN 
(
    SELECT * FROM systemconfig_tbl WHERE SysKey = 'bizform'
) 
b 
ON 
    a.FormName = b.Code
WHERE
    b.Name LIKE '%{문서형식명}}%'

-- [1] 문서별 접수자설정정보에서 문서번호와 접수자의 사번으로 접수권한자를 제거하기
/*
-- 삭제 전 확인하기 
SELECT * FROM approval_tbl WHERE FormName='{문서형식번호}' AND receivemember='{접수자사번}';

DELETE FROM approval_tbl 
WHERE FormName = '{문서형식번호}' 
  AND receivemember = '{접수자사번}';
*/

